%%%%
%Omrde 2, lite kontorlandskap
%%%%

%%%%
%Gjennomsnittsverdi, varians og standardavvik for EDT-verdier i
%oktavbndene fra 125Hz til 8kHz
%%%%


%%%%
%Importerer akustiske mlinger av etterklangstiden EDT i ulike avstander
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T10_2_i = importdata('r_2_4_T10.txt');
T10_2_t = T10_2_i.data;

%Avstand r = 3,5m

T10_3_i = importdata('r_3_5_T10.txt');
T10_3_t = T10_3_i.data;

%Avstand r = 5,5m

T10_5_i = importdata('r_5_5_T10.txt');
T10_5_t = T10_5_i.data;

%Avstand r = 7,2m

T10_7_i = importdata('r_7_2_T10.txt');
T10_7_t = T10_7_i.data;



%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T10_m_2_i = importdata('r_m_2_1_T10.txt');
T10_m_2_t = T10_m_2_i.data;

%Avstand r = 4,4m

T10_m_4_i = importdata('r_m_4_4_T10.txt');
T10_m_4_t = T10_m_4_i.data;

%Avstand r = 4,7m

T10_m_4_7_i = importdata('r_m_4_7_T10.txt');
T10_m_4_7_t = T10_m_4_7_i.data;

%Avstand r = 7,0m

T10_m_7_i = importdata('r_m_7_0_T10.txt');
T10_m_7_t = T10_m_7_i.data;



%%%%
%EDT i en bestemt posisjon i ulike oktavbnd fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T10_2 = T10_2_t(2:8,2);

%Avstand r = 3,5m

T10_3 = T10_3_t(2:8,2);

%Avstand r = 5,5m

T10_5 = T10_5_t(2:8,2);

%Avstand r = 7,2m

T10_7 = T10_7_t(2:8,2);



%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T10_m_2 = T10_m_2_t(2:8,2);

%Avstand r = 4,4m

T10_m_4 = T10_m_4_t(2:8,2);

%Avstand r = 4,7m

T10_m_4_7 = T10_m_4_7_t(2:8,2);

%Avstand r = 7,0m

T10_m_7 = T10_m_7_t(2:8,2);





%%%%
%Summerer de ulike verdiene for etterklangstiden EDT
%%%%

%%%%
%Retning 1
%%%%

T10_2_sum = sum(T10_2);

T10_3_sum = sum(T10_3);

T10_5_sum = sum(T10_5);

T10_7_sum = sum(T10_7);


T10_retning1_sum = [T10_2_sum , T10_3_sum , T10_5_sum , T10_7_sum ];

T10_1_sum = sum(T10_retning1_sum);

%%%%
%Motsatt retning 1
%%%%

T10_m_2_sum = sum(T10_m_2);

T10_m_4_sum = sum(T10_m_4);

T10_m_4_7_sum = sum(T10_m_4_7);

T10_m_7_sum = sum(T10_m_7);


T10_motsattretning1_sum = [T10_m_2_sum , T10_m_4_sum , T10_m_4_7_sum , T10_m_7_sum ];

T10_m1_sum = sum(T10_motsattretning1_sum);

%%%%
%Gjennomsnitt av etterklangstiden EDT av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier
%%%%

T10_sum = T10_1_sum + T10_m1_sum;

T10_average = T10_sum/56

%%%%
%Mleverdi minus gjennomsnittsverdi av EDT kvadrert, for s  summere verdiene
%over oktavbndene fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T10_2_k =  (T10_2 - T10_average).^2;

T10_2_k_sum = sum(T10_2_k);

%Avstand r = 3,5m

T10_3_k =  (T10_3 - T10_average).^2;

T10_3_k_sum = sum(T10_3_k);

%Avstand r = 5,5m

T10_5_k =  (T10_5 - T10_average).^2;

T10_5_k_sum = sum(T10_5_k);

%Avstand r = 7,2m

T10_7_k =  (T10_7 - T10_average).^2;

T10_7_k_sum = sum(T10_7_k);


%%%%
%Summerer verdiene for retning 1
%%%%

T10_retning1_k = [T10_2_k_sum , T10_3_k_sum , T10_5_k_sum , T10_7_k_sum ];

T10_retning1_k_sum = sum(T10_retning1_k);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T10_m_2_k =  (T10_m_2 - T10_average).^2;

T10_m_2_k_sum = sum(T10_m_2_k);

%Avstand r = 4,4m

T10_m_4_k =  (T10_m_4 - T10_average).^2;

T10_m_4_k_sum = sum(T10_m_4_k);

%Avstand r = 4,7m

T10_m_4_7_k =  (T10_m_4_7 - T10_average).^2;

T10_m_4_7_k_sum = sum(T10_m_4_7_k);

%Avstand r = 7,0m

T10_m_7_k =  (T10_m_7 - T10_average).^2;

T10_m_7_k_sum = sum(T10_m_7_k);


%%%%
%Summerer verdiene for motsatt retning 1
%%%%

T10_motsattretning1_k = [T10_m_2_k_sum , T10_m_4_k_sum , T10_m_4_7_k_sum , T10_m_7_k_sum ];

T10_motsattretning1_k_sum = sum(T10_motsattretning1_k);

%%%%
%Summerer verdiene for bde retning 1 og motsatt retning 1
%%%%

T10_k_sum = T10_retning1_k_sum + T10_motsattretning1_k_sum;

%%%%
%Varians for verdiene av etterklangstiden EDT av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%

T10_varians = T10_k_sum/56

%%%%
%Standardavviket for verdiene av etterklangstiden EDT av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%


T10_standardavvik = T10_varians^0.5
