%%%%
%Omrde 2, lite kontorlandskap
%%%%

%%%%
%Gjennomsnittsverdi, varians og standardavvik for T20-verdier i
%oktavbndene fra 125Hz til 8kHz
%%%%


%%%%
%Importerer akustiske mlinger av etterklangstiden T20 i ulike avstander
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T20_2_i = importdata('r_2_4_T20.txt');
T20_2_t = T20_2_i.data;

%Avstand r = 3,5m

T20_3_i = importdata('r_3_5_T20.txt');
T20_3_t = T20_3_i.data;

%Avstand r = 5,5m

T20_5_i = importdata('r_5_5_T20.txt');
T20_5_t = T20_5_i.data;

%Avstand r = 7,2m

T20_7_i = importdata('r_7_2_T20.txt');
T20_7_t = T20_7_i.data;



%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T20_m_2_i = importdata('r_m_2_1_T20.txt');
T20_m_2_t = T20_m_2_i.data;

%Avstand r = 4,4m

T20_m_4_i = importdata('r_m_4_4_T20.txt');
T20_m_4_t = T20_m_4_i.data;

%Avstand r = 4,7m

T20_m_4_7_i = importdata('r_m_4_7_T20.txt');
T20_m_4_7_t = T20_m_4_7_i.data;

%Avstand r = 7,0m

T20_m_7_i = importdata('r_m_7_0_T20.txt');
T20_m_7_t = T20_m_7_i.data;



%%%%
%T20 i en bestemt posisjon i ulike oktavbnd fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T20_2 = T20_2_t(2:8,2);

%Avstand r = 3,5m

T20_3 = T20_3_t(2:8,2);

%Avstand r = 5,5m

T20_5 = T20_5_t(2:8,2);

%Avstand r = 7,2m

T20_7 = T20_7_t(2:8,2);



%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T20_m_2 = T20_m_2_t(2:8,2);

%Avstand r = 4,4m

T20_m_4 = T20_m_4_t(2:8,2);

%Avstand r = 4,7m

T20_m_4_7 = T20_m_4_7_t(2:8,2);

%Avstand r = 7,0m

T20_m_7 = T20_m_7_t(2:8,2);





%%%%
%Summerer de ulike verdiene for etterklangstiden T20
%%%%

%%%%
%Retning 1
%%%%

T20_2_sum = sum(T20_2);

T20_3_sum = sum(T20_3);

T20_5_sum = sum(T20_5);

T20_7_sum = sum(T20_7);


T20_retning1_sum = [T20_2_sum , T20_3_sum , T20_5_sum , T20_7_sum ];

T20_1_sum = sum(T20_retning1_sum);

%%%%
%Motsatt retning 1
%%%%

T20_m_2_sum = sum(T20_m_2);

T20_m_4_sum = sum(T20_m_4);

T20_m_4_7_sum = sum(T20_m_4_7);

T20_m_7_sum = sum(T20_m_7);


T20_motsattretning1_sum = [T20_m_2_sum , T20_m_4_sum , T20_m_4_7_sum , T20_m_7_sum ];

T20_m1_sum = sum(T20_motsattretning1_sum);

%%%%
%Gjennomsnitt av etterklangstiden T20 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier
%%%%

T20_sum = T20_1_sum + T20_m1_sum;

T20_average = T20_sum/56

%%%%
%Mleverdi minus gjennomsnittsverdi av T20 kvadrert, for s  summere verdiene
%over oktavbndene fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T20_2_k =  (T20_2 - T20_average).^2;

T20_2_k_sum = sum(T20_2_k);

%Avstand r = 3,5m

T20_3_k =  (T20_3 - T20_average).^2;

T20_3_k_sum = sum(T20_3_k);

%Avstand r = 5,5m

T20_5_k =  (T20_5 - T20_average).^2;

T20_5_k_sum = sum(T20_5_k);

%Avstand r = 7,2m

T20_7_k =  (T20_7 - T20_average).^2;

T20_7_k_sum = sum(T20_7_k);


%%%%
%Summerer verdiene for retning 1
%%%%

T20_retning1_k = [T20_2_k_sum , T20_3_k_sum , T20_5_k_sum , T20_7_k_sum ];

T20_retning1_k_sum = sum(T20_retning1_k);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T20_m_2_k =  (T20_m_2 - T20_average).^2;

T20_m_2_k_sum = sum(T20_m_2_k);

%Avstand r = 4,4m

T20_m_4_k =  (T20_m_4 - T20_average).^2;

T20_m_4_k_sum = sum(T20_m_4_k);

%Avstand r = 4,7m

T20_m_4_7_k =  (T20_m_4_7 - T20_average).^2;

T20_m_4_7_k_sum = sum(T20_m_4_7_k);

%Avstand r = 7,0m

T20_m_7_k =  (T20_m_7 - T20_average).^2;

T20_m_7_k_sum = sum(T20_m_7_k);


%%%%
%Summerer verdiene for motsatt retning 1
%%%%

T20_motsattretning1_k = [T20_m_2_k_sum , T20_m_4_k_sum , T20_m_4_7_k_sum , T20_m_7_k_sum ];

T20_motsattretning1_k_sum = sum(T20_motsattretning1_k);

%%%%
%Summerer verdiene for bde retning 1 og motsatt retning 1
%%%%

T20_k_sum = T20_retning1_k_sum + T20_motsattretning1_k_sum;

%%%%
%Varians for verdiene av etterklangstiden T20 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%

T20_varians = T20_k_sum/56

%%%%
%Standardavviket for verdiene av etterklangstiden T20 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%


T20_standardavvik = T20_varians^0.5
