%%%%
%Omrde 2, lite kontorlandskap
%%%%

%%%%
%Gjennomsnittsverdi, varians og standardavvik for T30-verdier i
%oktavbndene fra 125Hz til 8kHz
%%%%


%%%%
%Importerer akustiske mlinger av etterklangstiden T30 i ulike avstander
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T30_2_i = importdata('r_2_4_T30.txt');
T30_2_t = T30_2_i.data;

%Avstand r = 3,5m

T30_3_i = importdata('r_3_5_T30.txt');
T30_3_t = T30_3_i.data;

%Avstand r = 5,5m

T30_5_i = importdata('r_5_5_T30.txt');
T30_5_t = T30_5_i.data;

%Avstand r = 7,2m

T30_7_i = importdata('r_7_2_T30.txt');
T30_7_t = T30_7_i.data;



%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T30_m_2_i = importdata('r_m_2_1_T30.txt');
T30_m_2_t = T30_m_2_i.data;

%Avstand r = 4,4m

T30_m_4_i = importdata('r_m_4_4_T30.txt');
T30_m_4_t = T30_m_4_i.data;

%Avstand r = 4,7m

T30_m_4_7_i = importdata('r_m_4_7_T30.txt');
T30_m_4_7_t = T30_m_4_7_i.data;

%Avstand r = 7,0m

T30_m_7_i = importdata('r_m_7_0_T30.txt');
T30_m_7_t = T30_m_7_i.data;



%%%%
%T30 i en bestemt posisjon i ulike oktavbnd fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T30_2 = T30_2_t(2:8,2);

%Avstand r = 3,5m

T30_3 = T30_3_t(2:8,2);

%Avstand r = 5,5m

T30_5 = T30_5_t(2:8,2);

%Avstand r = 7,2m

T30_7 = T30_7_t(2:8,2);



%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T30_m_2 = T30_m_2_t(2:8,2);

%Avstand r = 4,4m

T30_m_4 = T30_m_4_t(2:8,2);

%Avstand r = 4,7m

T30_m_4_7 = T30_m_4_7_t(2:8,2);

%Avstand r = 7,0m

T30_m_7 = T30_m_7_t(2:8,2);





%%%%
%Summerer de ulike verdiene for etterklangstiden T30
%%%%

%%%%
%Retning 1
%%%%

T30_2_sum = sum(T30_2);

T30_3_sum = sum(T30_3);

T30_5_sum = sum(T30_5);

T30_7_sum = sum(T30_7);


T30_retning1_sum = [T30_2_sum , T30_3_sum , T30_5_sum , T30_7_sum ];

T30_1_sum = sum(T30_retning1_sum);

%%%%
%Motsatt retning 1
%%%%

T30_m_2_sum = sum(T30_m_2);

T30_m_4_sum = sum(T30_m_4);

T30_m_4_7_sum = sum(T30_m_4_7);

T30_m_7_sum = sum(T30_m_7);


T30_motsattretning1_sum = [T30_m_2_sum , T30_m_4_sum , T30_m_4_7_sum , T30_m_7_sum ];

T30_m1_sum = sum(T30_motsattretning1_sum);

%%%%
%Gjennomsnitt av etterklangstiden T30 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier
%%%%

T30_sum = T30_1_sum + T30_m1_sum;

T30_average = T30_sum/56

%%%%
%Mleverdi minus gjennomsnittsverdi av T30 kvadrert, for s  summere verdiene
%over oktavbndene fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 2,4m

T30_2_k =  (T30_2 - T30_average).^2;

T30_2_k_sum = sum(T30_2_k);

%Avstand r = 3,5m

T30_3_k =  (T30_3 - T30_average).^2;

T30_3_k_sum = sum(T30_3_k);

%Avstand r = 5,5m

T30_5_k =  (T30_5 - T30_average).^2;

T30_5_k_sum = sum(T30_5_k);

%Avstand r = 7,2m

T30_7_k =  (T30_7 - T30_average).^2;

T30_7_k_sum = sum(T30_7_k);


%%%%
%Summerer verdiene for retning 1
%%%%

T30_retning1_k = [T30_2_k_sum , T30_3_k_sum , T30_5_k_sum , T30_7_k_sum ];

T30_retning1_k_sum = sum(T30_retning1_k);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,1m

T30_m_2_k =  (T30_m_2 - T30_average).^2;

T30_m_2_k_sum = sum(T30_m_2_k);

%Avstand r = 4,4m

T30_m_4_k =  (T30_m_4 - T30_average).^2;

T30_m_4_k_sum = sum(T30_m_4_k);

%Avstand r = 4,7m

T30_m_4_7_k =  (T30_m_4_7 - T30_average).^2;

T30_m_4_7_k_sum = sum(T30_m_4_7_k);

%Avstand r = 7,0m

T30_m_7_k =  (T30_m_7 - T30_average).^2;

T30_m_7_k_sum = sum(T30_m_7_k);


%%%%
%Summerer verdiene for motsatt retning 1
%%%%

T30_motsattretning1_k = [T30_m_2_k_sum , T30_m_4_k_sum , T30_m_4_7_k_sum , T30_m_7_k_sum ];

T30_motsattretning1_k_sum = sum(T30_motsattretning1_k);

%%%%
%Summerer verdiene for bde retning 1 og motsatt retning 1
%%%%

T30_k_sum = T30_retning1_k_sum + T30_motsattretning1_k_sum;

%%%%
%Varians for verdiene av etterklangstiden T30 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%

T30_varians = T30_k_sum/56

%%%%
%Standardavviket for verdiene av etterklangstiden T30 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%


T30_standardavvik = T30_varians^0.5
