

%SPL Pink Noise i motsatt retning 1

%%%%
%Omrde 2, lite kontorlandskap
%%%%


%Oktavbnd

x = [125 250 500 1000 2000 4000 8000];

%Avstand r mellom lydkilde og mottaker

r = [2.1 , 4.4 , 4.7 , 7.0 ];

%%%%
%Importerer akustiske mlinger av pink noise i ulike avstander
%%%%

%Avstand r = 2,1m

SPL_2_pink_noise_i = importdata('SPL_2_1_pink_noise.txt');
SPL_2_pink_noise = SPL_2_pink_noise_i.data;

%Avstand r = 4,4m

SPL_4_pink_noise_i = importdata('SPL_4_4_pink_noise.txt');
SPL_4_pink_noise = SPL_4_pink_noise_i.data;

%Avstand r = 4,7m

SPL_4_7_pink_noise_i = importdata('SPL_4_7_pink_noise.txt');
SPL_4_7_pink_noise = SPL_4_7_pink_noise_i.data;

%Avstand r = 7,0m

SPL_7_pink_noise_i = importdata('SPL_7_0_pink_noise.txt');
SPL_7_pink_noise = SPL_7_pink_noise_i.data;



%%%%
%SPL ved Pink Noise i en bestemt posisjon i ulike oktavbnd fra 125Hz til
%8kHz
%%%%

%Avstand r = 2,1m


SPL_2_pink_noise_u = SPL_2_pink_noise(2:8,2);

%Avstand r = 4,4m

SPL_4_pink_noise_u = SPL_4_pink_noise(2:8,2);

%Avstand r = 4,7m

SPL_4_7_pink_noise_u = SPL_4_7_pink_noise(2:8,2);

%Avstand r = 7,0m


SPL_7_pink_noise_u = SPL_7_pink_noise(2:8,2);



%%%%
%Konverterer mlingene av SPL for Pink Noise fra en kolonne-vektor til
% en rad-vektor
%%%%

%Avstand r = 2,1m

y_2_pink_noise = [ 0 0 0 0 0 0 0 ];


for k = 1:7;
 

y_2_pink_noise(1,k) = SPL_2_pink_noise_u(k,1);

end

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen

for k = 1:7;
    y_2_pink_noise_rms(1,k) = 10^(y_2_pink_noise(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_2_pink_noise_rms_sum = sum(y_2_pink_noise_rms);

%Det totale lydtrykket i posisjonen i dB

y_2_pink_noise_tot = 10*log10(y_2_pink_noise_rms_sum);


%Avstand r = 4,4m

y_4_pink_noise = [ 0 0 0 0 0 0 0 ];


for k = 1:7;
 

y_4_pink_noise(1,k) = SPL_4_pink_noise_u(k,1);

end

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen

for k = 1:7;
    y_4_pink_noise_rms(1,k) = 10^(y_4_pink_noise(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_4_pink_noise_rms_sum = sum(y_4_pink_noise_rms);

%Det totale lydtrykket i posisjonen i dB

y_4_pink_noise_tot = 10*log10(y_4_pink_noise_rms_sum);



%Avstand r = 4,7m

y_4_7_pink_noise = [ 0 0 0 0 0 0 0 ];


for k = 1:7;
 

y_4_7_pink_noise(1,k) = SPL_4_7_pink_noise_u(k,1);

end

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen

for k = 1:7;
    y_4_7_pink_noise_rms(1,k) = 10^(y_4_7_pink_noise(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_4_7_pink_noise_rms_sum = sum(y_4_7_pink_noise_rms);

%Det totale lydtrykket i posisjonen i dB

y_4_7_pink_noise_tot = 10*log10(y_4_7_pink_noise_rms_sum);



%Avstand r = 7,0m

y_7_pink_noise = [ 0 0 0 0 0 0 0 ];


for k = 1:7;
 

y_7_pink_noise(1,k) = SPL_7_pink_noise_u(k,1);

end

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen

for k = 1:7;
    y_7_pink_noise_rms(1,k) = 10^(y_7_pink_noise(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_7_pink_noise_rms_sum = sum(y_7_pink_noise_rms);

%Det totale lydtrykket i posisjonen i dB

y_7_pink_noise_tot = 10*log10(y_7_pink_noise_rms_sum);



%Oppretter en matrise med verdiene til det totale lydtrykket i
%posisjonene som samsvarer med r-matrisen
 
y_pink_noise_tot = [y_2_pink_noise_tot , y_4_pink_noise_tot , y_4_7_pink_noise_tot , y_7_pink_noise_tot ]



%%%%
%Plotter pink noise mlinger, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB
%%%%


figure(1);
semilogx(x, y_2_pink_noise , 'r')
title('Lydtrykk med hensyn p oktavbnd, fordelt ut fra mleposisjon i motsatt retning 1 i kontorlandskap 2')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

hold on

semilogx(x, y_4_pink_noise, 'k')

hold on

semilogx(x, y_4_7_pink_noise, 'b')

hold on

semilogx(x, y_7_pink_noise, 'g')



%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};
for k=1:length(loc)
legend('Avstand 2,1m' , 'Avstand 4,4m' , 'Avstand 4,7m','Avstand 7,0m' ,'Location', loc{k})
    pause
end

%%%%
%Plotter det totale lydtrykket, hvor x-aksen benevner avstand mellom
%lydkilde og mottaker, mens y-aksen benevner SPL i dB
%%%%


figure(2);
plot(r,y_pink_noise_tot,'b')
hold on;
plot(r,y_pink_noise_tot,'.b')
grid on;
title('Det totale lydtrykket med hensyn p avstand i motsatt retning 1 i kontorlandskap 2')
xlabel('Avstand i meter') 
ylabel('SPL (dB)')



%%%%
%Lydtrykksnivet ved pink noise signal i de ulike oktavbndene i forhold til
%avstand fra lydkilden
%%%%


%Oktavbnd 125Hz

y_125 = [y_2_pink_noise(1,1) , y_4_pink_noise(1,1) , y_4_7_pink_noise(1,1) , y_7_pink_noise(1,1) ];

%Oktavbnd 250Hz

y_250 = [y_2_pink_noise(1,2) , y_4_pink_noise(1,2) , y_4_7_pink_noise(1,2) , y_7_pink_noise(1,2) ];

%Oktavbnd 500Hz

y_500 = [y_2_pink_noise(1,3) , y_4_pink_noise(1,3) , y_4_7_pink_noise(1,3) , y_7_pink_noise(1,3) ];

%Oktavbnd 1000Hz

y_1000 = [y_2_pink_noise(1,4) , y_4_pink_noise(1,4) , y_4_7_pink_noise(1,4) , y_7_pink_noise(1,4) ];

%Oktavbnd 2000Hz

y_2000 = [y_2_pink_noise(1,5) , y_4_pink_noise(1,5) , y_4_7_pink_noise(1,5) , y_7_pink_noise(1,5) ];

%Oktavbnd 4000Hz

y_4000 = [y_2_pink_noise(1,6) , y_4_pink_noise(1,6) , y_4_7_pink_noise(1,6) , y_7_pink_noise(1,6) ];

%Oktavbnd 8000Hz

y_8000 = [y_2_pink_noise(1,7) , y_4_pink_noise(1,7) , y_4_7_pink_noise(1,7) , y_7_pink_noise(1,7) ];


%%%%
%Plotter hvordan lydtrykksnivet varierer med avstand fra kilden
%%%%

figure(3);

plot(r,y_125,'r')
title('Lydtrykk i de ulike oktavbndene med hensyn p mleposisjon i motsatt retning 1 i kontorlandskap 2')
xlabel('Avstand i meter') 
ylabel('SPL (dB)')

hold on

plot(r,y_250, 'b')

hold on

plot(r, y_500, 'g')

hold on

plot(r, y_1000, 'k')

hold on

plot(r, y_2000, 'b--')

hold on

plot(r, y_4000, 'r--')

hold on

plot(r, y_8000, 'k--')

%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};

for k=1:length(loc)
legend('125Hz' , '250Hz' , '500Hz','1kHz' , '2kHz' , '4kHz' , '8kHz','Location', loc{k})
    pause
end

%%%%
%A-veiings-matrise for de ulike oktavbndene fra 125Hz til 8kHz
%%%%

A_1 = [ -16.1 , -8.6 , -3.2 , 0 , 1.2 , 1.0 , -1.1];

%%%%
%A-veid lydtrykk ved pink noise for ulike posisjoner
%%%%

%Avstand r = 2,1m

y_2_pink_noise_A = y_2_pink_noise + A_1;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen


for k = 1:7;
    y_2_pink_noise_A_rms(1,k) = 10^(y_2_pink_noise_A(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_2_pink_noise_A_rms_sum = sum(y_2_pink_noise_A_rms);

%Det totale a-veide lydtrykket i posisjonen i dB

y_2_pink_noise_A_tot = 10*log10(y_2_pink_noise_A_rms_sum);


%Avstand r = 4,4m

y_4_pink_noise_A = y_4_pink_noise + A_1;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen


for k = 1:7;
    y_4_pink_noise_A_rms(1,k) = 10^(y_4_pink_noise_A(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_4_pink_noise_A_rms_sum = sum(y_4_pink_noise_A_rms);

%Det totale a-veide lydtrykket i posisjonen i dB

y_4_pink_noise_A_tot = 10*log10(y_4_pink_noise_A_rms_sum);



%Avstand r = 4,7m

y_4_7_pink_noise_A = y_4_7_pink_noise + A_1;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen


for k = 1:7;
    y_4_7_pink_noise_A_rms(1,k) = 10^(y_4_7_pink_noise_A(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_4_7_pink_noise_A_rms_sum = sum(y_4_7_pink_noise_A_rms);

%Det totale a-veide lydtrykket i posisjonen i dB

y_4_7_pink_noise_A_tot = 10*log10(y_4_7_pink_noise_A_rms_sum);



%Avstand r = 7,0m

y_7_pink_noise_A = y_7_pink_noise + A_1;

%Gjr om lydtrykket i dB til kvadratet av rms-trykket i posisjonen


for k = 1:7;
    y_7_pink_noise_A_rms(1,k) = 10^(y_7_pink_noise_A(1,k)/10);
end

%Summerer kvadratet av rms-trykkene i posisjonen

y_7_pink_noise_A_rms_sum = sum(y_7_pink_noise_A_rms);

%Det totale a-veide lydtrykket i posisjonen i dB

y_7_pink_noise_A_tot = 10*log10(y_7_pink_noise_A_rms_sum);




%%%%
%Oppretter en matrise med verdiene til det totale a-veide lydtrykket  i
%posisjonene som samsvarer med r-matrisen
%%%%

y_pink_noise_A_tot = [y_2_pink_noise_A_tot , y_4_pink_noise_A_tot , y_4_7_pink_noise_A_tot , y_7_pink_noise_A_tot ]

%%%%
%Plotter a-veide pink noise mlinger, hvor x-aksen benevner frekvens,
%mens y-aksen benevner SPL i dB
%%%%

figure(4);
semilogx(x, y_2_pink_noise_A , 'r')
title('Det a-veide lydtrykket med hensyn p frekvens i ulike mleposisjoner i motsatt retning 1 i kontorlandskap 2 ')
xlabel('Frekvens i Hz')
ylabel('SPL (dB)')

hold on

semilogx(x, y_4_pink_noise_A, 'k')

hold on

semilogx(x, y_4_7_pink_noise_A, 'b')

hold on

semilogx(x, y_7_pink_noise_A, 'g')



%Bestemmer hvor boksen som forklarer hvilken avstand som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};
for k=1:length(loc)
legend('Avstand 2,1m' , 'Avstand 4,4m' , 'Avstand 4,7m','Avstand 7,0m' ,'Location', loc{k})
    pause
end


%%%%
%A-veid lydtrykk ved pink noise mlinger for ulike oktavbnd
%%%%


%Oktavbnd 125Hz

y_125_A = y_125 + A_1(1,1);


%Oktavbnd 250Hz

y_250_A = y_250 + A_1(1,2);


%Oktavbnd 500Hz

y_500_A = y_500 + A_1(1,3);

%Oktavbnd 1000Hz

y_1000_A = y_1000 + A_1(1,4);

%Oktavbnd 2000Hz

y_2000_A = y_2000 + A_1(1,5);

%Oktavbnd 4000Hz

y_4000_A = y_4000 + A_1(1,6);

%Oktavbnd 8000Hz

y_8000_A = y_8000 + A_1(1,7);

%%%%
%Plotter a-veide pink noise mlinger, hvor x-aksen benevner avstand mellom
%lydkilde og mottaker, mens y-aksen benevner SPL i dB
%%%%

figure(5);

plot(r,y_125_A,'r')
title('Det a-veide lydtrykket i forhold til avstand, fordelt p de ulike oktavbndene i motsatt retning 1 i kontorlandskap 2')
xlabel('Avstand i meter') 
ylabel('SPL (dB)')

hold on

plot(r,y_250_A, 'b')

hold on

plot(r, y_500_A, 'g')

hold on

plot(r, y_1000_A, 'k')

hold on

plot(r, y_2000_A, 'b--')

hold on

plot(r, y_4000_A, 'r--')

hold on

plot(r, y_8000_A, 'k--')



%Bestemmer hvor boksen som forklarer hvilken frekvens som tilhrer hvilken
%graf skal vre plassert

loc = {'SouthEastOutside'};

for k=1:length(loc)
legend('125Hz' , '250Hz' , '500Hz','1kHz' , '2kHz' , '4kHz' , '8kHz','Location', loc{k})
    pause
end

%%%%
%Plotter det totale a-veide lydtrykket, hvor x-aksen benevner avstand mellom
%lydkilde og mottaker, mens y-aksen benevner SPL i dB
%%%%

figure(6);
plot(r,y_pink_noise_A_tot,'b')
hold on;
plot(r,y_pink_noise_A_tot,'.b')
axis([2,8, 75, 84]);
grid on;
title('Det totale a-veide lydtrykket i forhold til avstand i motsatt retning 1 i kontorlandskap 2')
xlabel('Avstand i meter') 
ylabel('SPL (dB)')


