%%%%
%Omrde 1, stort kontorlandskap
%%%%

%%%%
%Gjennomsnittsverdi, varians og standardavvik for EDT-verdier i
%oktavbndene fra 125Hz til 8kHz
%%%%


%%%%
%Importerer akustiske mlinger av etterklangstiden EDT i ulike avstander
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T10_3_i = importdata('r_3_1_T10.txt');
T10_3_t = T10_3_i.data;

%Avstand r = 5,8m

T10_5_i = importdata('r_5_8_T10.txt');
T10_5_t = T10_5_i.data;

%Avstand r = 10,5m

T10_10_i = importdata('r_10_5_T10.txt');
T10_10_t = T10_10_i.data;

%Avstand r = 16,8m

T10_16_i = importdata('r_16_8_T10.txt');
T10_16_t = T10_16_i.data;

%Avstand r = 19,7m

T10_19_i = importdata('r_19_7_T10.txt');
T10_19_t = T10_19_i.data;

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T10_m_2_i = importdata('r_m_2_6_T10.txt');
T10_m_2_t = T10_m_2_i.data;

%Avstand r = 9,0m

T10_m_9_i = importdata('r_m_9_T10.txt');
T10_m_9_t = T10_m_9_i.data;

%Avstand r = 13,8m

T10_m_13_i = importdata('r_m_13_8_T10.txt');
T10_m_13_t = T10_m_13_i.data;

%Avstand r = 16,5m

T10_m_16_i = importdata('r_m_16_5_T10.txt');
T10_m_16_t = T10_m_16_i.data;

%Avstand r = 19,7m

T10_m_19_i = importdata('r_m_19_7_T10.txt');
T10_m_19_t = T10_m_19_i.data;


%%%%
%EDT i en bestemt posisjon i ulike oktavbnd fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T10_3 = T10_3_t(2:8,2);

%Avstand r = 5,8m

T10_5 = T10_5_t(2:8,2);

%Avstand r = 10,5m

T10_10 = T10_10_t(2:8,2);

%Avstand r = 16,8m

T10_16 = T10_16_t(2:8,2);

%Avstand r = 19,7m

T10_19 = T10_19_t(2:8,2);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T10_m_2 = T10_m_2_t(2:8,2);

%Avstand r = 9,0m

T10_m_9 = T10_m_9_t(2:8,2);

%Avstand r = 13,8m

T10_m_13 = T10_m_13_t(2:8,2);

%Avstand r = 16,5m

T10_m_16 = T10_m_16_t(2:8,2);

%Avstand r = 19,7m

T10_m_19 = T10_m_19_t(2:8,2);

%%%%
%Summerer de ulike verdiene for etterklangstiden EDT
%%%%

%%%%
%Retning 1
%%%%

T10_3_sum = sum(T10_3);

T10_5_sum = sum(T10_5);

T10_10_sum = sum(T10_10);

T10_16_sum = sum(T10_16);

T10_19_sum = sum(T10_19);

T10_retning1_sum = [T10_3_sum , T10_5_sum , T10_10_sum , T10_16_sum , T10_19_sum ];

T10_1_sum = sum(T10_retning1_sum);

%%%%
%Motsatt retning 1
%%%%

T10_m_2_sum = sum(T10_m_2);

T10_m_9_sum = sum(T10_m_9);

T10_m_13_sum = sum(T10_m_13);

T10_m_16_sum = sum(T10_m_16);

T10_m_19_sum = sum(T10_m_19);


T10_motsattretning1_sum = [T10_m_2_sum , T10_m_9_sum , T10_m_13_sum , T10_m_16_sum , T10_m_19_sum ];

T10_m1_sum = sum(T10_motsattretning1_sum);

%%%%
%Gjennomsnitt av etterklangstiden EDT av 7 oktavbnd i fem posisjoner i to
%retninger, dvs 70 verdier
%%%%

T10_sum = T10_1_sum + T10_m1_sum;

T10_average = T10_sum/70

%%%%
%Mleverdi minus gjennomsnittsverdi av EDT kvadrert, for s  summere verdiene
%over oktavbndene fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T10_3_k =  (T10_3 - T10_average).^2;

T10_3_k_sum = sum(T10_3_k);

%Avstand r = 5,8m

T10_5_k =  (T10_5 - T10_average).^2;

T10_5_k_sum = sum(T10_5_k);

%Avstand r = 10,5m

T10_10_k =  (T10_10 - T10_average).^2;

T10_10_k_sum = sum(T10_10_k);

%Avstand r = 16,8m

T10_16_k =  (T10_16 - T10_average).^2;

T10_16_k_sum = sum(T10_16_k);

%Avstand r = 19,7m

T10_19_k =  (T10_19 - T10_average).^2;

T10_19_k_sum = sum(T10_19_k);


%%%%
%Summerer verdiene for retning 1
%%%%

T10_retning1_k = [T10_3_k_sum , T10_5_k_sum , T10_10_k_sum , T10_16_k_sum , T10_19_k_sum  ];

T10_retning1_k_sum = sum(T10_retning1_k);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T10_m_2_k =  (T10_m_2 - T10_average).^2;

T10_m_2_k_sum = sum(T10_m_2_k);

%Avstand r = 9,0m

T10_m_9_k =  (T10_m_9 - T10_average).^2;

T10_m_9_k_sum = sum(T10_m_9_k);

%Avstand r = 13,8m

T10_m_13_k =  (T10_m_13 - T10_average).^2;

T10_m_13_k_sum = sum(T10_m_13_k);

%Avstand r = 16,5m

T10_m_16_k =  (T10_m_16 - T10_average).^2;

T10_m_16_k_sum = sum(T10_m_16_k);

%Avstand r = 19,7m

T10_m_19_k =  (T10_m_19 - T10_average).^2;

T10_m_19_k_sum = sum(T10_m_19_k);


%%%%
%Summerer verdiene for motsatt retning 1
%%%%

T10_motsattretning1_k = [T10_m_2_k_sum , T10_m_9_k_sum , T10_m_13_k_sum , T10_m_16_k_sum , T10_m_19_k_sum  ];

T10_motsattretning1_k_sum = sum(T10_motsattretning1_k);

%%%%
%Summerer verdiene for bde retning 1 og motsatt retning 1
%%%%

T10_k_sum = T10_retning1_k_sum + T10_motsattretning1_k_sum;

%%%%
%Varians for verdiene av etterklangstiden EDT av 7 oktavbnd i fem posisjoner i to
%retninger, dvs 70 verdier 
%%%%

T10_varians = T10_k_sum/70

%%%%
%Standardavviket for verdiene av etterklangstiden EDT av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%


T10_standardavvik = T10_varians^0.5
