%%%%
%Omrde 1, stort kontorlandskap
%%%%

%%%%
%Gjennomsnittsverdi, varians og standardavvik for T20-verdier i
%oktavbndene fra 125Hz til 8kHz
%%%%


%%%%
%Importerer akustiske mlinger av etterklangstiden T20 i ulike avstander
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T20_3_i = importdata('r_3_1_T20.txt');
T20_3_t = T20_3_i.data;

%Avstand r = 5,8m

T20_5_i = importdata('r_5_8_T20.txt');
T20_5_t = T20_5_i.data;

%Avstand r = 10,5m

T20_10_i = importdata('r_10_5_T20.txt');
T20_10_t = T20_10_i.data;

%Avstand r = 16,8m

T20_16_i = importdata('r_16_8_T20.txt');
T20_16_t = T20_16_i.data;

%Avstand r = 19,7m

T20_19_i = importdata('r_19_7_T20.txt');
T20_19_t = T20_19_i.data;

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T20_m_2_i = importdata('r_m_2_6_T20.txt');
T20_m_2_t = T20_m_2_i.data;

%Avstand r = 9,0m

T20_m_9_i = importdata('r_m_9_T20.txt');
T20_m_9_t = T20_m_9_i.data;

%Avstand r = 13,8m

T20_m_13_i = importdata('r_m_13_8_T20.txt');
T20_m_13_t = T20_m_13_i.data;

%Avstand r = 16,5m

T20_m_16_i = importdata('r_m_16_5_T20.txt');
T20_m_16_t = T20_m_16_i.data;

%Avstand r = 19,7m

T20_m_19_i = importdata('r_m_19_7_T20.txt');
T20_m_19_t = T20_m_19_i.data;


%%%%
%T20 i en bestemt posisjon i ulike oktavbnd fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T20_3 = T20_3_t(2:8,2);

%Avstand r = 5,8m

T20_5 = T20_5_t(2:8,2);

%Avstand r = 10,5m

T20_10 = T20_10_t(2:8,2);

%Avstand r = 16,8m

T20_16 = T20_16_t(2:8,2);

%Avstand r = 19,7m

T20_19 = T20_19_t(2:8,2);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T20_m_2 = T20_m_2_t(2:8,2);

%Avstand r = 9,0m

T20_m_9 = T20_m_9_t(2:8,2);

%Avstand r = 13,8m

T20_m_13 = T20_m_13_t(2:8,2);

%Avstand r = 16,5m

T20_m_16 = T20_m_16_t(2:8,2);

%Avstand r = 19,7m

T20_m_19 = T20_m_19_t(2:8,2);

%%%%
%Summerer de ulike verdiene for etterklangstiden T20
%%%%

%%%%
%Retning 1
%%%%

T20_3_sum = sum(T20_3);

T20_5_sum = sum(T20_5);

T20_10_sum = sum(T20_10);

T20_16_sum = sum(T20_16);

T20_19_sum = sum(T20_19);

T20_retning1_sum = [T20_3_sum , T20_5_sum , T20_10_sum , T20_16_sum , T20_19_sum ];

T20_1_sum = sum(T20_retning1_sum);

%%%%
%Motsatt retning 1
%%%%

T20_m_2_sum = sum(T20_m_2);

T20_m_9_sum = sum(T20_m_9);

T20_m_13_sum = sum(T20_m_13);

T20_m_16_sum = sum(T20_m_16);

T20_m_19_sum = sum(T20_m_19);


T20_motsattretning1_sum = [T20_m_2_sum , T20_m_9_sum , T20_m_13_sum , T20_m_16_sum , T20_m_19_sum ];

T20_m1_sum = sum(T20_motsattretning1_sum);

%%%%
%Gjennomsnitt av etterklangstiden T20 av 7 oktavbnd i fem posisjoner i to
%retninger, dvs 70 verdier
%%%%

T20_sum = T20_1_sum + T20_m1_sum;

T20_average = T20_sum/70

%%%%
%Mleverdi minus gjennomsnittsverdi av T20 kvadrert, for s  summere verdiene
%over oktavbndene fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T20_3_k =  (T20_3 - T20_average).^2;

T20_3_k_sum = sum(T20_3_k);

%Avstand r = 5,8m

T20_5_k =  (T20_5 - T20_average).^2;

T20_5_k_sum = sum(T20_5_k);

%Avstand r = 10,5m

T20_10_k =  (T20_10 - T20_average).^2;

T20_10_k_sum = sum(T20_10_k);

%Avstand r = 16,8m

T20_16_k =  (T20_16 - T20_average).^2;

T20_16_k_sum = sum(T20_16_k);

%Avstand r = 19,7m

T20_19_k =  (T20_19 - T20_average).^2;

T20_19_k_sum = sum(T20_19_k);


%%%%
%Summerer verdiene for retning 1
%%%%

T20_retning1_k = [T20_3_k_sum , T20_5_k_sum , T20_10_k_sum , T20_16_k_sum , T20_19_k_sum  ];

T20_retning1_k_sum = sum(T20_retning1_k);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T20_m_2_k =  (T20_m_2 - T20_average).^2;

T20_m_2_k_sum = sum(T20_m_2_k);

%Avstand r = 9,0m

T20_m_9_k =  (T20_m_9 - T20_average).^2;

T20_m_9_k_sum = sum(T20_m_9_k);

%Avstand r = 13,8m

T20_m_13_k =  (T20_m_13 - T20_average).^2;

T20_m_13_k_sum = sum(T20_m_13_k);

%Avstand r = 16,5m

T20_m_16_k =  (T20_m_16 - T20_average).^2;

T20_m_16_k_sum = sum(T20_m_16_k);

%Avstand r = 19,7m

T20_m_19_k =  (T20_m_19 - T20_average).^2;

T20_m_19_k_sum = sum(T20_m_19_k);


%%%%
%Summerer verdiene for motsatt retning 1
%%%%

T20_motsattretning1_k = [T20_m_2_k_sum , T20_m_9_k_sum , T20_m_13_k_sum , T20_m_16_k_sum , T20_m_19_k_sum  ];

T20_motsattretning1_k_sum = sum(T20_motsattretning1_k);

%%%%
%Summerer verdiene for bde retning 1 og motsatt retning 1
%%%%

T20_k_sum = T20_retning1_k_sum + T20_motsattretning1_k_sum;

%%%%
%Varians for verdiene av etterklangstiden T20 av 7 oktavbnd i fem posisjoner i to
%retninger, dvs 70 verdier 
%%%%

T20_varians = T20_k_sum/70

%%%%
%Standardavviket for verdiene av etterklangstiden T20 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%


T20_standardavvik = T20_varians^0.5
