%%%%
%Omrde 1, stort kontorlandskap
%%%%

%%%%
%Gjennomsnittsverdi, varians og standardavvik for T30-verdier i
%oktavbndene fra 125Hz til 8kHz
%%%%


%%%%
%Importerer akustiske mlinger av etterklangstiden T30 i ulike avstander
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T30_3_i = importdata('r_3_1_T30.txt');
T30_3_t = T30_3_i.data;

%Avstand r = 5,8m

T30_5_i = importdata('r_5_8_T30.txt');
T30_5_t = T30_5_i.data;

%Avstand r = 10,5m

T30_10_i = importdata('r_10_5_T30.txt');
T30_10_t = T30_10_i.data;

%Avstand r = 16,8m

T30_16_i = importdata('r_16_8_T30.txt');
T30_16_t = T30_16_i.data;

%Avstand r = 19,7m

T30_19_i = importdata('r_19_7_T30.txt');
T30_19_t = T30_19_i.data;

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T30_m_2_i = importdata('r_m_2_6_T30.txt');
T30_m_2_t = T30_m_2_i.data;

%Avstand r = 9,0m

T30_m_9_i = importdata('r_m_9_T30.txt');
T30_m_9_t = T30_m_9_i.data;

%Avstand r = 13,8m

T30_m_13_i = importdata('r_m_13_8_T30.txt');
T30_m_13_t = T30_m_13_i.data;

%Avstand r = 16,5m

T30_m_16_i = importdata('r_m_16_5_T30.txt');
T30_m_16_t = T30_m_16_i.data;

%Avstand r = 19,7m

T30_m_19_i = importdata('r_m_19_7_T30.txt');
T30_m_19_t = T30_m_19_i.data;


%%%%
%T30 i en bestemt posisjon i ulike oktavbnd fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T30_3 = T30_3_t(2:8,2);

%Avstand r = 5,8m

T30_5 = T30_5_t(2:8,2);

%Avstand r = 10,5m

T30_10 = T30_10_t(2:8,2);

%Avstand r = 16,8m

T30_16 = T30_16_t(2:8,2);

%Avstand r = 19,7m

T30_19 = T30_19_t(2:8,2);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T30_m_2 = T30_m_2_t(2:8,2);

%Avstand r = 9,0m

T30_m_9 = T30_m_9_t(2:8,2);

%Avstand r = 13,8m

T30_m_13 = T30_m_13_t(2:8,2);

%Avstand r = 16,5m

T30_m_16 = T30_m_16_t(2:8,2);

%Avstand r = 19,7m

T30_m_19 = T30_m_19_t(2:8,2);

%%%%
%Summerer de ulike verdiene for etterklangstiden T30
%%%%

%%%%
%Retning 1
%%%%

T30_3_sum = sum(T30_3);

T30_5_sum = sum(T30_5);

T30_10_sum = sum(T30_10);

T30_16_sum = sum(T30_16);

T30_19_sum = sum(T30_19);

T30_retning1_sum = [T30_3_sum , T30_5_sum , T30_10_sum , T30_16_sum , T30_19_sum ];

T30_1_sum = sum(T30_retning1_sum);

%%%%
%Motsatt retning 1
%%%%

T30_m_2_sum = sum(T30_m_2);

T30_m_9_sum = sum(T30_m_9);

T30_m_13_sum = sum(T30_m_13);

T30_m_16_sum = sum(T30_m_16);

T30_m_19_sum = sum(T30_m_19);


T30_motsattretning1_sum = [T30_m_2_sum , T30_m_9_sum , T30_m_13_sum , T30_m_16_sum , T30_m_19_sum ];

T30_m1_sum = sum(T30_motsattretning1_sum);

%%%%
%Gjennomsnitt av etterklangstiden T30 av 7 oktavbnd i fem posisjoner i to
%retninger, dvs 70 verdier
%%%%

T30_sum = T30_1_sum + T30_m1_sum;

T30_average = T30_sum/70

%%%%
%Mleverdi minus gjennomsnittsverdi av T30 kvadrert, for s  summere verdiene
%over oktavbndene fra 125Hz til 8kHz
%%%%

%%%%
%Retning 1
%%%%

%Avstand r = 3,1m

T30_3_k =  (T30_3 - T30_average).^2;

T30_3_k_sum = sum(T30_3_k);

%Avstand r = 5,8m

T30_5_k =  (T30_5 - T30_average).^2;

T30_5_k_sum = sum(T30_5_k);

%Avstand r = 10,5m

T30_10_k =  (T30_10 - T30_average).^2;

T30_10_k_sum = sum(T30_10_k);

%Avstand r = 16,8m

T30_16_k =  (T30_16 - T30_average).^2;

T30_16_k_sum = sum(T30_16_k);

%Avstand r = 19,7m

T30_19_k =  (T30_19 - T30_average).^2;

T30_19_k_sum = sum(T30_19_k);


%%%%
%Summerer verdiene for retning 1
%%%%

T30_retning1_k = [T30_3_k_sum , T30_5_k_sum , T30_10_k_sum , T30_16_k_sum , T30_19_k_sum  ];

T30_retning1_k_sum = sum(T30_retning1_k);

%%%%
%Motsatt retning 1
%%%%

%Avstand r = 2,6m

T30_m_2_k =  (T30_m_2 - T30_average).^2;

T30_m_2_k_sum = sum(T30_m_2_k);

%Avstand r = 9,0m

T30_m_9_k =  (T30_m_9 - T30_average).^2;

T30_m_9_k_sum = sum(T30_m_9_k);

%Avstand r = 13,8m

T30_m_13_k =  (T30_m_13 - T30_average).^2;

T30_m_13_k_sum = sum(T30_m_13_k);

%Avstand r = 16,5m

T30_m_16_k =  (T30_m_16 - T30_average).^2;

T30_m_16_k_sum = sum(T30_m_16_k);

%Avstand r = 19,7m

T30_m_19_k =  (T30_m_19 - T30_average).^2;

T30_m_19_k_sum = sum(T30_m_19_k);


%%%%
%Summerer verdiene for motsatt retning 1
%%%%

T30_motsattretning1_k = [T30_m_2_k_sum , T30_m_9_k_sum , T30_m_13_k_sum , T30_m_16_k_sum , T30_m_19_k_sum  ];

T30_motsattretning1_k_sum = sum(T30_motsattretning1_k);

%%%%
%Summerer verdiene for bde retning 1 og motsatt retning 1
%%%%

T30_k_sum = T30_retning1_k_sum + T30_motsattretning1_k_sum;

%%%%
%Varians for verdiene av etterklangstiden T30 av 7 oktavbnd i fem posisjoner i to
%retninger, dvs 70 verdier 
%%%%

T30_varians = T30_k_sum/70

%%%%
%Standardavviket for verdiene av etterklangstiden T30 av 7 oktavbnd i fire posisjoner i to
%retninger, dvs 56 verdier 
%%%%


T30_standardavvik = T30_varians^0.5
